]> sourceware.org Git - systemtap.git/commitdiff
Check for xmlto that generates pdf.
authorWill Cohen <wcohen@peloton.usersys.redhat.com>
Thu, 8 Jan 2009 19:28:15 +0000 (14:28 -0500)
committerWill Cohen <wcohen@peloton.usersys.redhat.com>
Thu, 8 Jan 2009 19:28:15 +0000 (14:28 -0500)
ChangeLog
configure
configure.ac

index 35085845375a7b6e99d503b17081670fd208d273..f2e238e68d33ac10aa5f62c81f927fb4a5c0bdfc 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2009-01-08  William Cohen  <wcohen@redhat.com>
+
+       * configure.ac: Check for xmlto that generates pdf.
+       * configure: Regenerated.
+       
 2009-01-07  William Cohen  <wcohen@redhat.com>
 
        * configure.ac: Add --enable-refdocs configure option and
index 2e038aecd9daa5204dd3ebda075dd63dbdb5fb29..bc51435a1d5621f2909122bd1e15c8f5898ea592 100755 (executable)
--- a/configure
+++ b/configure
@@ -6472,14 +6472,34 @@ echo "${ECHO_T}no" >&6; }
 fi
 
 
+if test "x${have_xmlto}" == "xyes"; then
+{ echo "$as_me:$LINENO: checking for xmlto pdf support" >&5
+echo $ECHO_N "checking for xmlto pdf support... $ECHO_C" >&6; }
+cat > conftest.$ac_ext << EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
+"http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" >
+   <book id="pdffromxml">
+   </book>
+EOF
+   xmlto pdf conftest.$ac_ext >& /dev/null
+   if test $? == 0; then
+      have_xmlto_pdf="yes"
+      { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+   else
+      { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+   fi
+fi
 if test "$enable_refdocs" == "yes"; then
-   if test "x${have_xmlto}" != "xyes"; then
-      { { echo "$as_me:$LINENO: error: cannot find xmlto for building reference documentation" >&5
-echo "$as_me: error: cannot find xmlto for building reference documentation" >&2;}
+   if test "x${have_xmlto}${have_xmlto_pdf}" != "xyesyes"; then
+      { { echo "$as_me:$LINENO: error: cannot find proper yxmlto for building reference documentation" >&5
+echo "$as_me: error: cannot find proper yxmlto for building reference documentation" >&2;}
    { (exit 1); exit 1; }; }
    fi
 fi
-if test "x${have_xmlto}" == "xyes" -a "$enable_refdocs" != "no" -a "${building_docs}" == "yes"; then
+if test "x${have_xmlto}${have_xmlto_pdf}" == "xyesyes" -a "$enable_refdocs" != "no" -a "${building_docs}" == "yes"; then
    building_refdocs="yes"
 fi
  if test "$building_refdocs" == "yes"; then
index 4cb2948a5e773b8d9733fe76c2177e695f2bccac..7866fe961f7dd8eb3e977ab5044a3cd8f0edb1cf 100644 (file)
@@ -179,12 +179,29 @@ if test "$building_docs" == "no" -a "$enable_refdocs" == "yes" ; then
    AC_MSG_ERROR([must use --enable-docs with --enable-refdocs])
 fi
 AC_CHECK_PROG(have_xmlto, xmlto, yes, no)
+if test "x${have_xmlto}" == "xyes"; then
+AC_MSG_CHECKING([for xmlto pdf support])
+cat > conftest.$ac_ext << EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
+"http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" []>
+   <book id="pdffromxml">
+   </book>
+EOF
+   xmlto pdf conftest.$ac_ext >& /dev/null
+   if test $? == 0; then
+      have_xmlto_pdf="yes"
+      AC_MSG_RESULT([yes])
+   else
+      AC_MSG_RESULT([no])
+   fi
+fi
 if test "$enable_refdocs" == "yes"; then
-   if test "x${have_xmlto}" != "xyes"; then
-      AC_MSG_ERROR([cannot find xmlto for building reference documentation])
+   if test "x${have_xmlto}${have_xmlto_pdf}" != "xyesyes"; then
+      AC_MSG_ERROR([cannot find proper yxmlto for building reference documentation])
    fi
 fi
-if test "x${have_xmlto}" == "xyes" -a "$enable_refdocs" != "no" -a "${building_docs}" == "yes"; then
+if test "x${have_xmlto}${have_xmlto_pdf}" == "xyesyes" -a "$enable_refdocs" != "no" -a "${building_docs}" == "yes"; then
    building_refdocs="yes"
 fi
 AM_CONDITIONAL([BUILD_REFDOCS], [test "$building_refdocs" == "yes"])
This page took 0.042526 seconds and 5 git commands to generate.